<?php 

define('DESSKY_FRAMEWORKPATH', get_template_directory() . '/framework/');
define('DESSKY_LITESUFFIX', "lite");

if (is_admin()) {
    
global $nt_theme_name,$nt_theme_folder_name,$nt_theme_latest_version,$nt_xml_file,$current_theme,$theme_version_num;

$current_theme = wp_get_theme();
$theme_version_num = esc_html( $current_theme->get( 'Version' ) );
$nt_theme_latest_version = str_replace(".", "-", $theme_version_num);
//'2.3.7' to '2-3-7'

if( function_exists("dessky_extra") ){
    
    //Premium
    $nt_theme_name = 'NanoShop';
    $nt_theme_folder_name = 'nanoshop';
    $nt_xml_file = 'https://cdn.dessky.com/notifiers/nanoshop.xml';
    
}else{
    //Lite
    $nt_theme_name = 'NanoShop Lite';
    $nt_theme_folder_name = 'nanoshoplite';
    $nt_xml_file = 'https://cdn.dessky.com/notifiers/nanoshoplite.xml';
}


// Constants for the theme name, folder and remote XML url
define( 'NOTIFIER_THEME_NAME', $nt_theme_name ); // The theme name
//WooShop

define( 'NOTIFIER_THEME_FOLDER_NAME', $nt_theme_folder_name ); // The theme folder name
//wooshop

define( 'NOTIFIER_THEME_LATEST_VERSION', $nt_theme_latest_version ); // Latest version of the theme
//2-3-7

define( 'NOTIFIER_XML_FILE', $nt_xml_file ); // The remote notifier XML file containing the latest version of the theme and changelog
//https://cdn.dessky.com/notifiers/wooshop-notifier.xml

define( 'NOTIFIER_CACHE_INTERVAL', 21600 ); // The time interval for the remote XML cache in the database (21600 seconds = 6 hours)

}

load_theme_textdomain( 'nanoshop', get_template_directory() . '/lang' );

if(!is_admin()) {
    include_once get_template_directory().'/framework/classes/options.php'; 
    include_once get_template_directory().'/framework/classes/contact.php'; 
    $page_data = $options->get_page_setup_data();
    $options_data = $options->get_page_data(); 
    $media_data = $options->get_media(); 
    $social_data = $options->get_social(); 
    $contact_data = $contact->get_data();
    $shop_data = $options->get_shop_setup_data();
}

/* Check theme version */
if( !function_exists("is_extra") ){
    function is_extra() {
        
        $theme_version = false;
        
        if( is_file( DESSKY_FRAMEWORKPATH . 'extra.php' ) ){
            $theme_version = true;
        }else{
            $theme_version = false;
        }
        
        return $theme_version;
        
    }
}

/* Include helper.php */
include_once get_template_directory().'/framework/helpers.php';

if (!isset($content_width))
    $content_width = 967;

add_filter('widget_text', 'do_shortcode');

/* Widgets */
include_once 'framework/widgets/widgets.php';

/* On setup theme */
add_action('after_setup_theme', 'register_custom_fonts');
function register_custom_fonts() {
    $fonts_installed = get_option('fonts_intalled');
    
    if($fonts_installed==1)
        return;
    
    /* Get custom font */
    include_once get_template_directory().'/framework/classes/style.php';
    $fonts = $style->get_custom_fonts();

    /* Update custom font */
    foreach($fonts as $name=>$value) { 
        $arr_save[] = array('value'=>$value, 'name'=>$name);
    }
    update_option('dessky_custom_fonts', $arr_save);
    update_option('fonts_intalled', 1);
}

/* Portfolio metaboxes */
include_once 'framework/metaboxes.php';

//install slider
include_once 'framework/install_plugins.php';

/* Admin bar theme options menu */
include_once 'framework/classes/admin-bar.php';

// New Version Theme Update Notifier
if (is_admin()) {
require_once 'framework/theme-update.php';
}

if( is_extra() === true ){
    
    //Theme's Extra
    require_once DESSKY_FRAMEWORKPATH . 'extra.php';
    
}else{
    //Lite Version Notice
    require_once DESSKY_FRAMEWORKPATH . 'lite.php';
}

/* PHP header() NO ERRORS */
if (is_admin())
    add_action('init', 'do_output_buffer');

function do_output_buffer() {
        ob_start();
}

remove_action( 'admin_notices', 'woothemes_updater_notice' );

/* Infinite scroll */

function nanoshop_infinite_scroll_init() {

    add_theme_support( 'infinite-scroll', array(
        'type'       => 'click',
        'footer_widgets' => true,
        'container'  => 'section-content',
        'footer'     => 'site-footer',
    ) );

}

add_action( 'init', 'nanoshop_infinite_scroll_init' );

/* WooCommerce */

if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
    include_once 'framework/woocommerce/functions.php';
}

    /* MegaMenu */

    class description_walker extends Walker_Nav_Menu
    {
        function start_el(&$output, $item, $depth = 0, $args = array(), $current_object_id = 0) {

            global $wp_query;
            $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

            $class_names = $value = '';

            $classes = empty( $item->classes ) ? array() : (array) $item->classes;

            $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
            $class_names = ' class="'. esc_attr( $class_names ) . '"';

            $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

            $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
            $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
            $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
            $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
            $description  = ! empty( $item->description ) ? '<span>'.esc_attr( $item->description ).'</span>' : '';

            $description = do_shortcode($description);

            $append = "";
            $prepend = "";

            if($depth == 0)
            {
                $description = $append = $prepend = "";
            }

            $item_output = $args->before;
            $item_output .= '<a'. $attributes .'>';
            $item_output .= $args->link_before .$prepend.apply_filters( 'the_title', $item->title, $item->ID ).$append;
            $item_output .= '</a>';
            $item_output .= $description.$args->link_after;
            $item_output .= $args->after;

            $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth = 0, $args, $args, $current_object_id = 0 );
            
        }
    }
add_filter( 'woocommerce_enqueue_styles', 'dessky_dequeue_styles' );
function dessky_dequeue_styles( $enqueue_styles ) {
unset( $enqueue_styles['woocommerce-general'] ); // Remove the gloss
unset( $enqueue_styles['woocommerce-layout'] ); // Remove the layout
return $enqueue_styles;
}

/* WooCommerce Hide WP Admin Bar for non-Admins */
function hide_admin_bar_if_non_admin( $show ) {
    if ( ! current_user_can( 'manage_options' ) ) $show = false;
    return $show;
}
// please note the priority = '20' to make sure we run the filter after Woo's one 
add_filter( 'show_admin_bar', 'hide_admin_bar_if_non_admin', 20, 1 );

// Remove WP Version From Styles	
add_filter( 'style_loader_src', 'dessky_remove_ver_css_js', 9999 );
// Remove WP Version From Scripts
add_filter( 'script_loader_src', 'dessky_remove_ver_css_js', 9999 );

// Function to remove version numbers
function dessky_remove_ver_css_js( $src ) {
	if ( strpos( $src, 'ver=' ) )
		$src = remove_query_arg( 'ver', $src );
	return $src;
}
