<?php
/**
 * Change password form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     5.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $woocommerce;
?>

<?php $woocommerce->show_messages(); ?>

<div class="row">

	<div class="span9 change-password">

		<h3 class="myaccount-heading"><?php _e("Change Password", "nanoshop"); ?></h3>

		<form action="<?php echo esc_url( get_permalink(wc_get_page_id('change_password')) ); ?>" method="post">

			<p class="form-row form-row-first">
				<label for="password_1"><?php _e( 'New password', 'woocommerce' ); ?> <span class="required">*</span></label>
				<input type="password" class="input-text" name="password_1" id="password_1" />
			</p>
			<p class="form-row form-row-last">
				<label for="password_2"><?php _e( 'Re-enter new password', 'woocommerce' ); ?> <span class="required">*</span></label>
				<input type="password" class="input-text" name="password_2" id="password_2" />
			</p>
			<div class="clear"></div>

			<p><span class="btn"><input type="submit" name="change_password" value="<?php _e( 'Save', 'woocommerce' ); ?>" /></span></p>

			<?php $woocommerce->nonce_field('change_password')?>
			<input type="hidden" name="action" value="change_password" />

		</form>

	</div>
</div>