<?php
/**
 * Edit account form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     5.0.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $woocommerce;
?>

<?php wc_print_notices(); ?>

<div class="row">

	<div class="span9" id="customer_details">

		<h3 class="myaccount-heading"><?php _e("Change Account", "nanoshop"); ?></h3>

		<form action="" method="post">

			<p class="form-row form-row-first">
				<label for="account_first_name"><?php _e( 'First name', 'woocommerce' ); ?> <span class="required">*</span></label>
				<input type="text" class="input-text" name="account_first_name" id="account_first_name" value="<?php esc_attr_e( $user->first_name ); ?>" />
			</p>
			<p class="form-row form-row-last">
				<label for="account_last_name"><?php _e( 'Last name', 'woocommerce' ); ?> <span class="required">*</span></label>
				<input type="text" class="input-text" name="account_last_name" id="account_last_name" value="<?php esc_attr_e( $user->last_name ); ?>" />
			</p>
			<p class="form-row form-row-wide">
				<label for="account_email"><?php _e( 'Email address', 'woocommerce' ); ?> <span class="required">*</span></label>
				<input type="email" class="input-text" name="account_email" id="account_email" value="<?php esc_attr_e( $user->user_email ); ?>" />
			</p>
			<p class="form-row form-row-first">
				<label for="password_1"><?php _e( 'Password (leave blank to leave unchanged)', 'woocommerce' ); ?></label>
				<input type="password" class="input-text" name="password_1" id="password_1" />
			</p>
			<p class="form-row form-row-last">
				<label for="password_2"><?php _e( 'Confirm new password', 'woocommerce' ); ?></label>
				<input type="password" class="input-text" name="password_2" id="password_2" />
			</p>
			<div class="clear"></div>

			<p><button class="btn btn-sm btn-style-1" type="submit" name="save_account_details" /><?php _e( 'Save changes', 'woocommerce' ); ?></button></p>

			<?php wp_nonce_field( 'save_account_details' ); ?>
			<input type="hidden" name="action" value="save_account_details" />
		</form>
	</div>
</div>